VirtualBox

Ticket #10775 (closed defect: fixed)

Opened 21 months ago

Last modified 20 months ago

Please drop HAL recommendations / dependencies (VirtualBox / Linux) => Fixed in SVN

Reported by: BobBib Owned by:
Priority: minor Component: installer
Version: VirtualBox 4.1.18 Keywords: Linux, Debian, packaging
Cc: Guest type: other
Host type: Linux

Description

I'm using virtualbox 4.1.18-78361~Debian~wheezy on Debian Wheezy / AMD64.

This DEB package recommends libhal1 (>= 0.5), while HAL is deprecated (in Debian and other major Linux distributions):  http://wiki.debian.org/hal  http://wiki.debian.org/HALRemoval

Therefore, it's preferable to remove a libhal1 and any other HAL recommendations / dependencies from the future Linux versions of VirtualBox.

Change History

comment:1 follow-up: ↓ 2 Changed 21 months ago by frank

  • Summary changed from Please drop HAL recommendations / dependencies (VirtualBox / Linux) to Please drop HAL recommendations / dependencies (VirtualBox / Linux) => Fixed in SVN

You are right, and actually the VBox Linux code does not use hal anymore. That dependency will be removed with the next maintenance release.

comment:2 in reply to: ↑ 1 Changed 20 months ago by BobBib

Replying to frank:

That dependency will be removed with the next maintenance release.

Seems to be fixed in VirtualBox 4.1.20 (Debian amd64 package), thanks.

comment:3 Changed 20 months ago by frank

  • Status changed from new to closed
  • Resolution set to fixed

Right, thanks for the feedback.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use